# Class CIM_EndpointOfNetworkPipe
extends CIM_Dependency

EndpointOfNetworkPipe describes the endpoints between which a pipe transfers information. Whether an endpoint is a source or sink is indicated by a property of the association, SourceOrSink.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_EndpointOfNetworkPipe

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | EndpointOfNetworkPipe describes the endpoints between which a pipe transfers information. Whether an endpoint is a source or sink is indicated by a property of the association, SourceOrSink.
MappingStrings | string | Recommendation.ITU|M3100.Pipe.a-TPInstance, Recommendation.ITU|M3100.Pipe.z-TPInstance
UMLPackagePath | string | CIM::Network::Pipes
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
SourceOrSink | uint16 |
Description | string | Indicates whether the endpoint is a source (value = 2), or sink (value = 3) for the pipe. If this information is not applicable, the property is set to 4. If the information is not known, the property is set to 0.
ValueMap | string | 0, 2, 3, 4
Values | string | Unknown, Source, Sink, Not Applicable

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_EndpointOfNetworkPipe | CIM_ProtocolEndpoint
Dependent | CIM_EndpointOfNetworkPipe | CIM_NetworkPipe

## Class Methods